C******************** START FILE CONDOM.FOR ; GROUP CONCTR ******************
C===============================
C  CONDOM   SELECT INDEX-DOMAIN FOR CONTOUR PLOT
C           D. MC CUNE  21 MAY 80
C  X(NX)    ARRAY OF X VALUES
C  Y(NY)     ARRAY OF Y VALUES
C    (X,Y ARE INDEP VARS WITH RESPECT TO WHICH A 2D FCN Z IS
C     DEFINED)
C    (X,Y ARE INPUT)
C
C  IMIN,IMAX:  OUTPUT, INDICES S.T. X(IMIN-1)<XMIN<=X(IMIN)
C  JMIN,JMAX:  SAME THING FOR Y
C
C  XMIN,XMAX,YMIN,YMAX ARE PASSED THROUGH COMMON
C
C  XMIN,XMAX,YMIN,YMAX ARE RESET TO X(IMIN),X(IMAX),Y(JMIN),
C    Y(JMAX) AT END
C
C  AN ATTEMPT IS MADE TO PATCH FOR 'PATHOLOGICAL' XMIN,XMAX,
C   YMIN,YMAX
C
C
      SUBROUTINE CONDOM(X,NX,Y,NY,IMIN,IMAX,JMIN,JMAX)
C
      DIMENSION X(NX),Y(NY)
C
      INCLUDE 'PLOT1MMX'
C
C-------------------
C
C  X AXIS
      CALL CONDM0(X,NX,IMIN,IMAX,XMIN,XMAX)
C  Y AXIS
      CALL CONDM0(Y,NY,JMIN,JMAX,YMIN,YMAX)
C
      RETURN
      	END
C******************** END FILE CONDOM.FOR ; GROUP CONCTR ******************
